Update Super Metric

Update Super Metric
Update a SuperMetric with the given name, formula and description

Update a SuperMetric with the given name, formula and description

Request
URI
PUT
https://{api_host}/suite-api/api/supermetrics
COPY
Request Body

The updated SuperMetric

supermetric of type(s) application/json
Required

Show optional properties

{
    "formula": "string",
    "name": "string"
}
"{\n  \"id\" : \"fd55436a-cd9c-47ea-85cf-64ac9549c5ca\",\n  \"name\" : \"Example SuperMetric for DataCenter\",\n  \"formula\" : \"sumN(\\\\$This:cpu|demandmhz,2)\",\n  \"description\" : \"Sum the CPU usage in MHZ on the assigned resource and its children\"\n}"
string
description
Optional

The description of the SuperMetric

string As .+
formula
Required

The formula expression of the SuperMetric

string As uuid As uuid
id
Optional

The unique ID of the SuperMetric. This will be null when creating a
SuperMetric, but it is required when updating an existing SuperMetric.

integer As int64 As int64
modificationTime
Optional

Last modification time of the SuperMetric

string As .+
name
Required

The name of the SuperMetric

Authentication
This operation uses the following authentication methods.
Responses
200

The updated SuperMetric object

Returns supermetric of type(s) application/json
"{\n  \"id\" : \"f8dfc0a9-0ad2-42a7-b12e-09372d9179eb\",\n  \"name\" : \"Example SuperMetric for DataCenter\",\n  \"formula\" : \"sumN(\\\\$This:cpu|demandmhz,2)\",\n  \"description\" : \"Sum the CPU usage in MHZ on the assigned resource and its children\"\n}"
string
description
Optional

The description of the SuperMetric

string As .+
formula
Required

The formula expression of the SuperMetric

string As uuid As uuid
id
Optional

The unique ID of the SuperMetric. This will be null when creating a
SuperMetric, but it is required when updating an existing SuperMetric.

integer As int64 As int64
modificationTime
Optional

Last modification time of the SuperMetric

string As .+
name
Required

The name of the SuperMetric


Code Samples
COPY
                    curl -X PUT -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"formula":"string","name":"string"}' https://{api_host}/suite-api/api/supermetrics